Bug 1282081 - python3-yaql depends on both py2 and py3
python3-yaql depends on both py2 and py3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-yaql (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 15:07 EST by Eduardo Mayorga
Modified: 2016-06-15 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-yaql-1.1.0-2.fc24 python-yaql-1.1.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to remove the python2 dependency in python3 subpackage. (4.24 KB, patch)
2015-11-14 15:22 EST, Eduardo Mayorga
no flags Details | Diff
Proposed patch. (4.28 KB, patch)
2015-11-14 15:55 EST, Eduardo Mayorga
no flags Details | Diff
Proposed patch. (4.72 KB, patch)
2015-11-14 19:18 EST, Eduardo Mayorga
no flags Details | Diff

  None (edit)
Description Eduardo Mayorga 2015-11-14 15:07:14 EST
Python 2 dependencies have to be moved to the python2- subpackage so that the python3- subpackage does not depend on python2.

Also, the wildcard in %files -n python2-%{pypi_name}
> %{_bindir}/%{pypi_name}*
is taking these files:
/usr/bin/yaql-3
/usr/bin/yaql-3.5
which should not be provided by python2-yaql.
Comment 1 Eduardo Mayorga 2015-11-14 15:22 EST
Created attachment 1094191 [details]
Proposed patch to remove the python2 dependency in python3 subpackage.
Comment 2 Eduardo Mayorga 2015-11-14 15:55 EST
Created attachment 1094194 [details]
Proposed patch.
Comment 3 Eduardo Mayorga 2015-11-14 19:18 EST
Created attachment 1094271 [details]
Proposed patch.
Comment 4 Jan Kurik 2016-02-24 08:57:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora Update System 2016-04-08 07:47:52 EDT
python-yaql-1.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02e5ff44ff
Comment 6 Fedora Update System 2016-04-08 07:48:04 EDT
python-yaql-1.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0445bbc15c
Comment 7 Fedora Update System 2016-04-09 14:52:57 EDT
python-yaql-1.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0445bbc15c
Comment 8 Fedora Update System 2016-04-09 15:24:09 EDT
python-yaql-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02e5ff44ff
Comment 9 Fedora Update System 2016-04-15 17:36:28 EDT
python-yaql-1.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-06-15 19:26:08 EDT
python-yaql-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.